Name:           ices
Version:        2.0.3
Release:        %mkrel 2
Summary:        Source streaming for Icecast
Group:          System/Servers
License:        GPL-2.0-or-later
URL:            https://www.icecast.org/
Source0:        https://downloads.xiph.org/releases/ices/%{name}-%{version}.tar.bz2
Source2:        %{name}.logrotate
Source3:        %{name}.service
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(shout)
BuildRequires:  pkgconfig(libxml-2.0)
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description
IceS is a source client for a streaming server. The purpose of this client is
to provide an audio stream to a streaming server such that one or more
listeners can access the stream. With this layout, this source client can be
situated remotely from the icecast server.

The primary example of a streaming server used is Icecast 2, although others
could be used if certain conditions are met.

%prep
%autosetup

%{__perl} -pi -e 's|<background>0</background>|<background>1</background>|' conf/*.xml

%build
%configure
%make_build

%install
install -D -m 755 src/%{name} %{buildroot}%{_bindir}/%{name}

install -D -m 640 conf/ices-playlist.xml %{buildroot}%{_sysconfdir}/%{name}.conf

install -D -m 644 %{SOURCE3} %{buildroot}%{_unitdir}/%{name}.service

install -D -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}

install -d -m 755 %{buildroot}%{_var}/log/%{name}
/bin/touch %{buildroot}%{_var}/log/%{name}/ices.log

%pre
%_pre_useradd %{name} %{_var}/log/%{name} /bin/false

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}

%files
%doc AUTHORS README.md doc/*.html doc/*.css conf/*.xml
%license COPYING
%{_bindir}/%{name}
%config(noreplace) %attr(0640,root,ices) %{_sysconfdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%{_unitdir}/%{name}.service
%dir %{_logdir}/%{name}
%attr(0644,ices,ices) %{_logdir}/%{name}/ices.log


%changelog
* Sun Mar 16 2025 wally <wally> 2.0.3-2.mga10
+ Revision: 2164868
- rebuild for libxml2 2.13.6

* Mon Apr 29 2024 daviddavid <daviddavid> 2.0.3-1.mga10
+ Revision: 2061655
- new version: 2.0.3
- remove initscripts support

* Fri Apr 01 2022 umeabot <umeabot> 2.0.2-5.mga9
+ Revision: 1839644
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 2.0.2-4.mga8
+ Revision: 1513555
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.0.2-3.mga7
+ Revision: 1298269
- Mageia 7 Mass Rebuild

* Fri Jun 08 2018 wally <wally> 2.0.2-2.mga7
+ Revision: 1235414
- fix build on aarch64

* Mon Apr 02 2018 kekepower <kekepower> 2.0.2-1.mga7
+ Revision: 1214803
- Update to version 2.0.2

* Sat Feb 06 2016 umeabot <umeabot> 2.0.1-17.mga6
+ Revision: 940891
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.1-16.mga5
+ Revision: 748389
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.1-15.mga5
+ Revision: 680445
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.0.1-14.mga4
+ Revision: 505948
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.0.1-13.mga3
+ Revision: 354177
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Apr 28 2012 tmb <tmb> 2.0.1-12.mga2
+ Revision: 233750
- Require rpm-helper >= 0.24.8-1 for systemd support

* Sun Apr 22 2012 guillomovitch <guillomovitch> 2.0.1-11.mga2
+ Revision: 232634
- more spec cleanup
- systemd support
- spec cleanup

* Fri May 13 2011 nanardon <nanardon> 2.0.1-10.mga1
+ Revision: 98198
- imported package ices


* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 2.0.1-10mdv2011.0
+ Revision: 619596
- the mass rebuild of 2010.0 packages

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 2.0.1-9mdv2010.0
+ Revision: 429491
- rebuild

* Tue Jul 22 2008 Thierry Vignaud <tv@mandriva.org> 2.0.1-8mdv2009.0
+ Revision: 240834
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Sep 06 2007 David Walluck <walluck@mandriva.org> 2.0.1-6mdv2008.0
+ Revision: 80581
- update logrotate file
- add logfile to package
- spec cleanup
- bunzip2 sources
- build with alsa
- set file ownerships


* Fri Jan 26 2007 Olivier Thauvin <nanardon@mandriva.org> 2.0.1-5mdv2007.0
+ Revision: 113600
- rebuild

* Thu Aug 10 2006 Olivier Thauvin <nanardon@mandriva.org> 2.0.1-4mdv2007.0
+ Revision: 54950
- rebuild
- Import ices

* Mon May 01 2006 Olivier Thauvin <nanardon@mandriva.org> 2.0.1-3mdk
- fix PreReq

* Mon May 01 2006 Olivier Thauvin <nanardon@mandriva.org> 2.0.2-2mdk
- rebuild && %%mkrel

* Wed Feb 16 2005 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.0.1-1mdk
- 2.0.1

* Fri Apr 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.0.0-4mdk
- fix reload in initscript, HUP doesn't reload configuration

* Sun Apr 11 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.0.0-3mdk
- fix init script

* Sat Apr 10 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.0.0-2mdk
- buildrequires

* Sat Apr 10 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.0.0-1mdk
- new release
- logrotate

